com.amazonaws.services.elasticbeanstalk.model

## クラス CreateConfigurationTemplateRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.elasticbeanstalk.model.CreateConfigurationTemplateRequest

- すべての実装されたインタフェース:
    java.io.Serializable

      public class CreateConfigurationTemplateRequest
      extends AmazonWebServiceRequest
      implements java.io.Serializable

  Container for the parameters to the `CreateConfigurationTemplate operation`.

  Creates a configuration template. Templates are associated with a specific application and are used to deploy different versions of the application with the same configuration settings.

  Related Topics

  - DescribeConfigurationOptions
  - DescribeConfigurationSettings
  - ListAvailableSolutionStacks
  関連項目:
    `AWSElasticBeanstalk.createConfigurationTemplate(CreateConfigurationTemplateRequest)`, 直列化された形式

- - ### コンストラクタの概要

    コンストラクタ
    コンストラクタと説明
    `CreateConfigurationTemplateRequest()` Default constructor for a new CreateConfigurationTemplateRequest object.
    `CreateConfigurationTemplateRequest(java.lang.String applicationName, java.lang.String templateName)` Constructs a new CreateConfigurationTemplateRequest object.

  - ### メソッドの概要

    メソッド
    修飾子とタイプ | メソッドと説明
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getApplicationName()` The name of the application to associate with this configuration template.
    `java.lang.String` | `getDescription()` Describes this configuration.
    `java.lang.String` | `getEnvironmentId()` The ID of the environment used with this configuration template.
    `java.util.List<ConfigurationOptionSetting>` | `getOptionSettings()` If specified, AWS Elastic Beanstalk sets the specified configuration option to the requested value.
    `java.lang.String` | `getSolutionStackName()` The name of the solution stack used by this configuration.
    `SourceConfiguration` | `getSourceConfiguration()` If specified, AWS Elastic Beanstalk uses the configuration values from the specified configuration template to create a new configuration.
    `java.lang.String` | `getTemplateName()` The name of the configuration template.
    `int` | `hashCode()`
    `void` | `setApplicationName(java.lang.String applicationName)` The name of the application to associate with this configuration template.
    `void` | `setDescription(java.lang.String description)` Describes this configuration.
    `void` | `setEnvironmentId(java.lang.String environmentId)` The ID of the environment used with this configuration template.
    `void` | `setOptionSettings(java.util.Collection<ConfigurationOptionSetting> optionSettings)` If specified, AWS Elastic Beanstalk sets the specified configuration option to the requested value.
    `void` | `setSolutionStackName(java.lang.String solutionStackName)` The name of the solution stack used by this configuration.
    `void` | `setSourceConfiguration(SourceConfiguration sourceConfiguration)` If specified, AWS Elastic Beanstalk uses the configuration values from the specified configuration template to create a new configuration.
    `void` | `setTemplateName(java.lang.String templateName)` The name of the configuration template.
    `java.lang.String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
    `CreateConfigurationTemplateRequest` | `withApplicationName(java.lang.String applicationName)` The name of the application to associate with this configuration template.
    `CreateConfigurationTemplateRequest` | `withDescription(java.lang.String description)` Describes this configuration.
    `CreateConfigurationTemplateRequest` | `withEnvironmentId(java.lang.String environmentId)` The ID of the environment used with this configuration template.
    `CreateConfigurationTemplateRequest` | `withOptionSettings(java.util.Collection<ConfigurationOptionSetting> optionSettings)` If specified, AWS Elastic Beanstalk sets the specified configuration option to the requested value.
    `CreateConfigurationTemplateRequest` | `withOptionSettings(ConfigurationOptionSetting... optionSettings)` If specified, AWS Elastic Beanstalk sets the specified configuration option to the requested value.
    `CreateConfigurationTemplateRequest` | `withSolutionStackName(java.lang.String solutionStackName)` The name of the solution stack used by this configuration.
    `CreateConfigurationTemplateRequest` | `withSourceConfiguration(SourceConfiguration sourceConfiguration)` If specified, AWS Elastic Beanstalk uses the configuration values from the specified configuration template to create a new configuration.
    `CreateConfigurationTemplateRequest` | `withTemplateName(java.lang.String templateName)` The name of the configuration template.

    - ### クラスから継承されたメソッド com.amazonaws.AmazonWebServiceRequest

      `copyPrivateRequestParameters, getRequestClientOptions, getRequestCredentials, setRequestCredentials`

    - ### クラスから継承されたメソッド java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### コンストラクタの詳細

    - #### CreateConfigurationTemplateRequest

          public CreateConfigurationTemplateRequest()

      Default constructor for a new CreateConfigurationTemplateRequest object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

    - #### CreateConfigurationTemplateRequest

          public CreateConfigurationTemplateRequest(java.lang.String applicationName,
                                            java.lang.String templateName)

      Constructs a new CreateConfigurationTemplateRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.
      パラメータ:
        `applicationName` - The name of the application to associate with this configuration template. If no application is found with this name, AWS Elastic Beanstalk returns an `InvalidParameterValue` error.
        `templateName` - The name of the configuration template.

        Constraint: This name must be unique per application.

        Default: If a configuration template already exists with this name, AWS Elastic Beanstalk returns an `InvalidParameterValue` error.

  - ### メソッドの詳細

    - #### getApplicationName

          public java.lang.String getApplicationName()

      The name of the application to associate with this configuration template. If no application is found with this name, AWS Elastic Beanstalk returns an `InvalidParameterValue` error.

      Constraints:
      Length: 1 - 100

      戻り値:
        The name of the application to associate with this configuration template. If no application is found with this name, AWS Elastic Beanstalk returns an `InvalidParameterValue` error.

    - #### setApplicationName

          public void setApplicationName(java.lang.String applicationName)

      The name of the application to associate with this configuration template. If no application is found with this name, AWS Elastic Beanstalk returns an `InvalidParameterValue` error.

      Constraints:
      Length: 1 - 100

      パラメータ:
        `applicationName` - The name of the application to associate with this configuration template. If no application is found with this name, AWS Elastic Beanstalk returns an `InvalidParameterValue` error.

    - #### withApplicationName

          public CreateConfigurationTemplateRequest withApplicationName(java.lang.String applicationName)

      The name of the application to associate with this configuration template. If no application is found with this name, AWS Elastic Beanstalk returns an `InvalidParameterValue` error.

      Returns a reference to this object so that method calls can be chained together.

      Constraints:
      Length: 1 - 100

      パラメータ:
        `applicationName` - The name of the application to associate with this configuration template. If no application is found with this name, AWS Elastic Beanstalk returns an `InvalidParameterValue` error.

    - #### getTemplateName

          public java.lang.String getTemplateName()

      The name of the configuration template.

      Constraint: This name must be unique per application.

      Default: If a configuration template already exists with this name, AWS Elastic Beanstalk returns an `InvalidParameterValue` error.

      Constraints:
      Length: 1 - 100

      戻り値:
        The name of the configuration template.

        Constraint: This name must be unique per application.

        Default: If a configuration template already exists with this name, AWS Elastic Beanstalk returns an `InvalidParameterValue` error.

    - #### setTemplateName

          public void setTemplateName(java.lang.String templateName)

      The name of the configuration template.

      Constraint: This name must be unique per application.

      Default: If a configuration template already exists with this name, AWS Elastic Beanstalk returns an `InvalidParameterValue` error.

      Constraints:
      Length: 1 - 100

      パラメータ:
        `templateName` - The name of the configuration template.

        Constraint: This name must be unique per application.

        Default: If a configuration template already exists with this name, AWS Elastic Beanstalk returns an `InvalidParameterValue` error.

    - #### withTemplateName

          public CreateConfigurationTemplateRequest withTemplateName(java.lang.String templateName)

      The name of the configuration template.

      Constraint: This name must be unique per application.

      Default: If a configuration template already exists with this name, AWS Elastic Beanstalk returns an `InvalidParameterValue` error.

      Returns a reference to this object so that method calls can be chained together.

      Constraints:
      Length: 1 - 100

      パラメータ:
        `templateName` - The name of the configuration template.

        Constraint: This name must be unique per application.

        Default: If a configuration template already exists with this name, AWS Elastic Beanstalk returns an `InvalidParameterValue` error.

    - #### getSolutionStackName

          public java.lang.String getSolutionStackName()

      The name of the solution stack used by this configuration. The solution stack specifies the operating system, architecture, and application server for a configuration template. It determines the set of configuration options as well as the possible and default values.

      Use ListAvailableSolutionStacks to obtain a list of available solution stacks.

      Default: If the `SolutionStackName` is not specified and the source configuration parameter is blank, AWS Elastic Beanstalk uses the default solution stack.

      If not specified and the source configuration parameter is specified, AWS Elastic Beanstalk uses the same solution stack as the source configuration template.

      Constraints:
      Length: 0 - 100

      戻り値:
        The name of the solution stack used by this configuration. The solution stack specifies the operating system, architecture, and application server for a configuration template. It determines the set of configuration options as well as the possible and default values.

        Use ListAvailableSolutionStacks to obtain a list of available solution stacks.

        Default: If the `SolutionStackName` is not specified and the source configuration parameter is blank, AWS Elastic Beanstalk uses the default solution stack.

        If not specified and the source configuration parameter is specified, AWS Elastic Beanstalk uses the same solution stack as the source configuration template.

    - #### setSolutionStackName

          public void setSolutionStackName(java.lang.String solutionStackName)

      The name of the solution stack used by this configuration. The solution stack specifies the operating system, architecture, and application server for a configuration template. It determines the set of configuration options as well as the possible and default values.

      Use ListAvailableSolutionStacks to obtain a list of available solution stacks.

      Default: If the `SolutionStackName` is not specified and the source configuration parameter is blank, AWS Elastic Beanstalk uses the default solution stack.

      If not specified and the source configuration parameter is specified, AWS Elastic Beanstalk uses the same solution stack as the source configuration template.

      Constraints:
      Length: 0 - 100

      パラメータ:
        `solutionStackName` - The name of the solution stack used by this configuration. The solution stack specifies the operating system, architecture, and application server for a configuration template. It determines the set of configuration options as well as the possible and default values.

        Use ListAvailableSolutionStacks to obtain a list of available solution stacks.

        Default: If the `SolutionStackName` is not specified and the source configuration parameter is blank, AWS Elastic Beanstalk uses the default solution stack.

        If not specified and the source configuration parameter is specified, AWS Elastic Beanstalk uses the same solution stack as the source configuration template.

    - #### withSolutionStackName

          public CreateConfigurationTemplateRequest withSolutionStackName(java.lang.String solutionStackName)

      The name of the solution stack used by this configuration. The solution stack specifies the operating system, architecture, and application server for a configuration template. It determines the set of configuration options as well as the possible and default values.

      Use ListAvailableSolutionStacks to obtain a list of available solution stacks.

      Default: If the `SolutionStackName` is not specified and the source configuration parameter is blank, AWS Elastic Beanstalk uses the default solution stack.

      If not specified and the source configuration parameter is specified, AWS Elastic Beanstalk uses the same solution stack as the source configuration template.

      Returns a reference to this object so that method calls can be chained together.

      Constraints:
      Length: 0 - 100

      パラメータ:
        `solutionStackName` - The name of the solution stack used by this configuration. The solution stack specifies the operating system, architecture, and application server for a configuration template. It determines the set of configuration options as well as the possible and default values.

        Use ListAvailableSolutionStacks to obtain a list of available solution stacks.

        Default: If the `SolutionStackName` is not specified and the source configuration parameter is blank, AWS Elastic Beanstalk uses the default solution stack.

        If not specified and the source configuration parameter is specified, AWS Elastic Beanstalk uses the same solution stack as the source configuration template.

    - #### getSourceConfiguration

          public SourceConfiguration getSourceConfiguration()

      If specified, AWS Elastic Beanstalk uses the configuration values from the specified configuration template to create a new configuration.

      Values specified in the `OptionSettings` parameter of this call overrides any values obtained from the `SourceConfiguration`.

      If no configuration template is found, returns an `InvalidParameterValue` error.

      Constraint: If both the solution stack name parameter and the source configuration parameters are specified, the solution stack of the source configuration template must match the specified solution stack name or else AWS Elastic Beanstalk returns an `InvalidParameterCombination` error.

      戻り値:
        If specified, AWS Elastic Beanstalk uses the configuration values from the specified configuration template to create a new configuration.

        Values specified in the `OptionSettings` parameter of this call overrides any values obtained from the `SourceConfiguration`.

        If no configuration template is found, returns an `InvalidParameterValue` error.

        Constraint: If both the solution stack name parameter and the source configuration parameters are specified, the solution stack of the source configuration template must match the specified solution stack name or else AWS Elastic Beanstalk returns an `InvalidParameterCombination` error.

    - #### setSourceConfiguration

          public void setSourceConfiguration(SourceConfiguration sourceConfiguration)

      If specified, AWS Elastic Beanstalk uses the configuration values from the specified configuration template to create a new configuration.

      Values specified in the `OptionSettings` parameter of this call overrides any values obtained from the `SourceConfiguration`.

      If no configuration template is found, returns an `InvalidParameterValue` error.

      Constraint: If both the solution stack name parameter and the source configuration parameters are specified, the solution stack of the source configuration template must match the specified solution stack name or else AWS Elastic Beanstalk returns an `InvalidParameterCombination` error.

      パラメータ:
        `sourceConfiguration` - If specified, AWS Elastic Beanstalk uses the configuration values from the specified configuration template to create a new configuration.

        Values specified in the `OptionSettings` parameter of this call overrides any values obtained from the `SourceConfiguration`.

        If no configuration template is found, returns an `InvalidParameterValue` error.

        Constraint: If both the solution stack name parameter and the source configuration parameters are specified, the solution stack of the source configuration template must match the specified solution stack name or else AWS Elastic Beanstalk returns an `InvalidParameterCombination` error.

    - #### withSourceConfiguration

          public CreateConfigurationTemplateRequest withSourceConfiguration(SourceConfiguration sourceConfiguration)

      If specified, AWS Elastic Beanstalk uses the configuration values from the specified configuration template to create a new configuration.

      Values specified in the `OptionSettings` parameter of this call overrides any values obtained from the `SourceConfiguration`.

      If no configuration template is found, returns an `InvalidParameterValue` error.

      Constraint: If both the solution stack name parameter and the source configuration parameters are specified, the solution stack of the source configuration template must match the specified solution stack name or else AWS Elastic Beanstalk returns an `InvalidParameterCombination` error.

      Returns a reference to this object so that method calls can be chained together.

      パラメータ:
        `sourceConfiguration` - If specified, AWS Elastic Beanstalk uses the configuration values from the specified configuration template to create a new configuration.

        Values specified in the `OptionSettings` parameter of this call overrides any values obtained from the `SourceConfiguration`.

        If no configuration template is found, returns an `InvalidParameterValue` error.

        Constraint: If both the solution stack name parameter and the source configuration parameters are specified, the solution stack of the source configuration template must match the specified solution stack name or else AWS Elastic Beanstalk returns an `InvalidParameterCombination` error.

    - #### getEnvironmentId

          public java.lang.String getEnvironmentId()

      The ID of the environment used with this configuration template.
      戻り値:
        The ID of the environment used with this configuration template.

    - #### setEnvironmentId

          public void setEnvironmentId(java.lang.String environmentId)

      The ID of the environment used with this configuration template.
      パラメータ:
        `environmentId` - The ID of the environment used with this configuration template.

    - #### withEnvironmentId

          public CreateConfigurationTemplateRequest withEnvironmentId(java.lang.String environmentId)

      The ID of the environment used with this configuration template.

      Returns a reference to this object so that method calls can be chained together.

      パラメータ:
        `environmentId` - The ID of the environment used with this configuration template.

    - #### getDescription

          public java.lang.String getDescription()

      Describes this configuration.

      Constraints:
      Length: 0 - 200

      戻り値:
        Describes this configuration.

    - #### setDescription

          public void setDescription(java.lang.String description)

      Describes this configuration.

      Constraints:
      Length: 0 - 200

      パラメータ:
        `description` - Describes this configuration.

    - #### withDescription

          public CreateConfigurationTemplateRequest withDescription(java.lang.String description)

      Describes this configuration.

      Returns a reference to this object so that method calls can be chained together.

      Constraints:
      Length: 0 - 200

      パラメータ:
        `description` - Describes this configuration.

    - #### getOptionSettings

          public java.util.List<ConfigurationOptionSetting> getOptionSettings()

      If specified, AWS Elastic Beanstalk sets the specified configuration option to the requested value. The new value overrides the value obtained from the solution stack or the source configuration template.
      戻り値:
        If specified, AWS Elastic Beanstalk sets the specified configuration option to the requested value. The new value overrides the value obtained from the solution stack or the source configuration template.

    - #### setOptionSettings

          public void setOptionSettings(java.util.Collection<ConfigurationOptionSetting> optionSettings)

      If specified, AWS Elastic Beanstalk sets the specified configuration option to the requested value. The new value overrides the value obtained from the solution stack or the source configuration template.
      パラメータ:
        `optionSettings` - If specified, AWS Elastic Beanstalk sets the specified configuration option to the requested value. The new value overrides the value obtained from the solution stack or the source configuration template.

    - #### withOptionSettings

          public CreateConfigurationTemplateRequest withOptionSettings(ConfigurationOptionSetting... optionSettings)

      If specified, AWS Elastic Beanstalk sets the specified configuration option to the requested value. The new value overrides the value obtained from the solution stack or the source configuration template.

      Returns a reference to this object so that method calls can be chained together.

      パラメータ:
        `optionSettings` - If specified, AWS Elastic Beanstalk sets the specified configuration option to the requested value. The new value overrides the value obtained from the solution stack or the source configuration template.

    - #### withOptionSettings

          public CreateConfigurationTemplateRequest withOptionSettings(java.util.Collection<ConfigurationOptionSetting> optionSettings)

      If specified, AWS Elastic Beanstalk sets the specified configuration option to the requested value. The new value overrides the value obtained from the solution stack or the source configuration template.

      Returns a reference to this object so that method calls can be chained together.

      パラメータ:
        `optionSettings` - If specified, AWS Elastic Beanstalk sets the specified configuration option to the requested value. The new value overrides the value obtained from the solution stack or the source configuration template.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object; useful for testing and debugging.
      オーバーライド:
        `toString` クラス内 `java.lang.Object`
      戻り値:
        A string representation of this object.
      関連項目:
        `Object.toString()`

    - #### hashCode

          public int hashCode()

      オーバーライド:
        `hashCode` クラス内 `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      オーバーライド:
        `equals` クラス内 `java.lang.Object`